BizKitHub
DocsAPI ReferenceLedger/bff/ledger/automation/policy
postLedgerAdmin BFF

/bff/ledger/automation/policy

Set or clear the automation level of an operation type

LedgerpostBffLedgerAutomationPolicy

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
operationType"document.issued" | "document.received" | "document.expense" | "document.advance" | "payment.in" | "payment.out"Required
level"off" | "suggest" | "auto" | nullRequired
One of 4:
Variant 1
"off"
Variant 2
"suggest"
Variant 3
"auto"
Variant 4
null
amountCapnumber | nullOptional
One of 2:
Variant 1
number
Range: 0.01–∞
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/automation/policy

post
curl -X POST "https://api.bizkithub.com/bff/ledger/automation/policy" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key